// --------------------------------------------------------------------
function handleMessages (message) {
  chrome.tabs.query({ active: true, lastFocusedWindow: true }, function (currentTab) {
    let index = -1
    if (currentTab !== undefined) {
      index = currentTab.pop().index
    }

    if (message.links !== undefined) {
      for (const linkUrl of message.links) {
        chrome.tabs.create({ active: false, url: linkUrl, index: ++index })
      }
    }
  })
}

chrome.runtime.onMessage.addListener(handleMessages)
